using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Utilities.ProgramResource.Cqrs;

public class UpdateProgramResourceValidator : AbstractValidator<UpdateProgramResourceRequest>
{
    public UpdateProgramResourceValidator()
    {
        RuleFor(x => x.Id)
            .NotEmpty().WithMessage("ID is required");

        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);
    }
}